/*
** mg_str.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 12:04:27 1999 vianney rancurel
** Last update Thu Oct 28 20:17:21 1999 
*/
#ifndef MG_STR_H
#define MG_STR_H	1

#include "mg.h"

/* A FIXED STR SIZE FOR MOST COMMON STRINGS */
#define STR_BUFSIZ	256

typedef struct		s_bridled_str
{
  int			max_len;
  char			*str;
} t_bridled_str;

/* PROTO mg_str.c */
/* mg_str.c */
t_status str_cat_str P((char *dst, int max_len, char *str));
t_status str_cat_char P((char *dst, int max_len, int c));
t_status str_cat_buf P((char *dst, int max_len, char *buf, int len));
t_status str_cat_fmt_va_list P((char *dst, int max_len, char *fmt, va_list args));
t_status str_cat_fmt_va P((char *dst, int max_len, char *fmt, ...));
#endif
